Subject: [alpine-devel] Wireshark in 1.9

From: Jeremy Thomerson <[email-masked]>
Date: Mon, 17 Aug 2009 16:03:25 -0500

Did Wireshark go away in 1.9?  I found it in 1.7 and 1.8, but I can't find
it to install it on my router running 1.9.  I tried installing the apk file
I downloaded from the 1.8 repo [1] but it didn't work.

http://dev.alpinelinux.org/alpine/v1.8/apks/wireshark-1.0.5.apk

Jeremy Thomerson

---

From: Michael Mason <[email-masked]>
Date: Mon, 17 Aug 2009 21:51:39 +0000

On Aug 17, 2009, at 9:03 PM, Jeremy Thomerson wrote:

> Did Wireshark go away in 1.9?  I found it in 1.7 and 1.8, but I  
> can't find it to install it on my router running 1.9.  I tried  
> installing the apk file I downloaded from the 1.8 repo [1] but it  
> didn't work.
>
We are still working on getting all the packages for 1.9.
If you would like to see this added you can fill out a feature request  
at bugs.alpinelinux.org.

If you are able to help build the package there are some instructions  
on the website...
http://wiki.alpinelinux.org/w/index.php?title=Setting_up_the_build_environment
http://wiki.alpinelinux.org/w/index.php?title=Creating_an_Alpine_package

> http://dev.alpinelinux.org/alpine/v1.8/apks/wireshark-1.0.5.apk

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Jeremy Thomerson <[email-masked]>
Date: Wed, 19 Aug 2009 02:35:09 -0500

Patch attached.  Should I create a bug and attach it to that, or is emailing
it to the list sufficient?

PS - Many thanks to ncopa for helping me on IRC to create my first APKBUILD.

Thanks,
Jeremy

On Mon, Aug 17, 2009 at 4:51 PM, Michael Mason <[email-masked]> wrote:

> If you would like to see this added you can fill out a feature request at
> bugs.alpinelinux.org.
>
>
> If you are able to help build the package there are some instructions on
> the website...
>
From 3aa19f8c15447553a620dfda0ab357e19333fede Mon Sep 17 00:00:00 2001
From: Jeremy Thomerson <[email-masked]>
Date: Wed, 19 Aug 2009 07:30:45 +0000
Subject: [PATCH] main/wireshark: new aport

A free network protocol analyzer for Unix/Linux and Windows formerly known as Ethereal
http://www.wireshark.org
---
 main/wireshark/APKBUILD |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)
 create mode 100644 main/wireshark/APKBUILD

diff --git a/main/wireshark/APKBUILD b/main/wireshark/APKBUILD
new file mode 100644
index 0000000..64a3849
--- /dev/null
+++ b/main/wireshark/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Jeremy Thomerson <[email-masked]>
+# Maintainer: Jeremy Thomerson <[email-masked]>
+pkgname=wireshark
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="A free network protocol analyzer for Unix/Linux and Windows formerly known as Ethereal"
+url="http://www.wireshark.org"
+license="GPLv2"
+depends="libpcap gnutls bash heimdal"
+makedepends="bison flex perl glib glib-dev pkgconfig libpcap-dev libcap-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.wireshark.org/download/src/${pkgname}-${pkgver}.tar.bz2"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+	cd "$srcdir"/$pkgname-$pkgver
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--disable-wireshark \
+		--disable-editcap \
+		--disable-mergecap \
+		--disable-text2pcap \
+		--disable-idl2wrs \
+		--disable-dftest \
+		--disable-randpkt
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+	# remove the 2 lines below (and this) if there is no init.d script
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="957d1b11a6c9b305bcd106d4084ff71e  wireshark-1.2.1.tar.bz2"
-- 
1.6.4

---

From: Natanael Copa <[email-masked]>
Date: Fri, 21 Aug 2009 16:58:33 +0200

On Wed, 2009-08-19 at 02:35 -0500, Jeremy Thomerson wrote:
> Patch attached.  Should I create a bug and attach it to that, or is
> emailing it to the list sufficient?

posting here is good enough

I applied it.

Might be i move it to x11/, enable gtk and make a tshark subpackage for
the non-gtk version.

thanks!

-nc

---

---

From: Jeremy Thomerson <[email-masked]>
Date: Mon, 17 Aug 2009 16:54:53 -0500

Thanks!  In the interim, I found tcpdump, which basically did what I needed.

Jeremy